# Interface UnknownCallDecoding

This type represents a function call to an unknown class. In this case, it's simply not possible to return much information.

#### Category

Output

#### Hierarchy

- UnknownCallDecoding

- Defined in codec/lib/types.ts:236

#####
Index

### Properties

data
decodingMode
interpretations
kind

## Properties

### data

data: string

The data that was sent to the contract.

- Defined in codec/lib/types.ts:249

### decodingMode

decodingMode: DecodingMode

The decoding mode that was used; see the README for more on these.

- Defined in codec/lib/types.ts:245

### interpretations

interpretations: {}

Further information about how the decoding may be interpreted. Note that interpretations may be added by things that use @truffle/codec, such as @truffle/decoder, rather than by @truffle/codec itself. See individual interpretations for details. (Currently there are none for this type.)

#### Type declaration

- Defined in codec/lib/types.ts:256

### kind

kind: "unknown"

The kind of decoding; indicates that this is an UnknownDecoding.

- Defined in codec/lib/types.ts:240

Generated using TypeDoc